{
	"type": "minecraft:fishing",
	"pools": [

	{
      "rolls": {
        "min": 4,
        "max": 12,
        "type": "minecraft:uniform"
      },
      "entries": [
	    {
          "type": "minecraft:loot_table",
          "weight": 200,
		  "quality": 10,
          "name": "minecraft:blooddeals/randomitem"
        },
		{
          "type": "minecraft:loot_table",
          "weight": 100,
		  "quality": 5,
          "name": "minecraft:blooddeals/justpages"
        },
        {
          "type": "minecraft:item",
          "weight": 100,
		  "quality": 5,
          "name": "minecraft:diamond_helmet",
		  "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 1,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ]
        },
		{
          "type": "minecraft:item",
          "weight": 100,
		  "quality": 5,
          "name": "minecraft:diamond_chestplate",
		  "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 1,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ]
        },
		{
          "type": "minecraft:item",
          "weight": 100,
		  "quality": 5,
          "name": "minecraft:diamond_leggings",
		  "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 1,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ]
        },
		{
          "type": "minecraft:item",
          "weight": 100,
		  "quality": 5,
          "name": "minecraft:diamond_boots",
		  "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 1,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ]
        },
		{
          "type": "minecraft:item",
          "weight": 100,
		  "quality": 5,
          "name": "minecraft:diamond_sword",
		  "functions": [
            {
              "function": "minecraft:enchant_with_levels",
              "levels": {
                "min": 1,
                "max": 39,
                "type": "minecraft:uniform"
              },
              "treasure": true
            }
          ]
        },
		{
          "type": "minecraft:item",
          "weight": 10,
		  "quality": 2,
          "name": "minecraft:totem_of_undying"
        },
		{
          "type": "minecraft:item",
          "weight": 200,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 9,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:golden_carrot"
        },
		{
          "type": "minecraft:item",
          "weight": 300,
          "name": "minecraft:milk_bucket"
        },
		{
          "type": "minecraft:item",
          "weight": 300,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 11,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:tnt"
        },
		{
          "type": "minecraft:item",
          "weight": 300,
		  "quality": 30,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:diamond"
        },
		{
          "type": "minecraft:item",
          "weight": 400,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 9,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:emerald"
        },
		{
          "type": "minecraft:item",
          "weight": 200,
		  "quality": 20,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 5,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:gold_block"
        },
		{
          "type": "minecraft:item",
          "weight": 300,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 11,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:apple"
        },
		{
          "type": "minecraft:item",
          "weight": 300,
		  "quality": 30,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 1,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:golden_apple"
        },
		{
          "type": "minecraft:item",
          "weight": 40,
		  "quality": 4,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 1,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:enchanted_golden_apple"
        },
		{
		  "type": "item",
		  "name": "minecraft:potion",
		  "weight": 400,
		  "functions": [
		  	{
		  		"function": "set_nbt",
		  		"tag": "{CustomPotionEffects:[{Id:6,Amplifier:1,Duration:1,ShowParticles:0b}]}"
		  	}
		  ]
	    },
		{
		  "type": "item",
		  "name": "minecraft:lingering_potion",
		  "weight": 450,
		  "functions": [
		  	{
		  		"function": "set_nbt",
		  		"tag": "{CustomPotionEffects:[{Id:7,Amplifier:1,Duration:1,ShowParticles:0b}]}"
		  	}
		  ]
	    },
		{
		  "type": "item",
		  "name": "minecraft:splash_potion",
		  "weight": 600,
		  "quality": 60,
		  "functions": [
		  	{
		  		"function": "set_nbt",
				"tag": "{CustomPotionEffects:[{Id:10,Amplifier:0,Duration:120},{Id:1,Amplifier:2,Duration:100},{Id:3,Amplifier:2,Duration:100},{Id:11,Amplifier:0,Duration:300},{Id:22,Amplifier:0,Duration:1200}],Potion:\"minecraft:mundane\",CustomPotionColor:3159616,display:{Name:\"{\\\"text\\\":\\\"GETMEOUTTAHERE\\\"}\"}}"
		  	}
		  ]
	    },
		{
          "type": "minecraft:item",
          "weight": 400,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 13,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:experience_bottle"
        },
		{
          "type": "minecraft:item",
          "weight": 100,
		  "quality": 10,
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1,
                "max": 3,
                "type": "minecraft:uniform"
              }
            }
          ],
          "name": "minecraft:ender_pearl"
        },
		{
          "type": "minecraft:item",
          "weight": 3800,
		  "quality": -196,
          "name": "minecraft:air"
        }
      ]
    },

	{
      "rolls": {
        "min": 32,
        "max": 64,
        "type": "minecraft:uniform"
      },
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:cobweb"
        }
      ]
    }
	
  ]
}
